import { Box } from '../../classes/display/box.js';
// import { Document } from '../../classes/display/document.js';
import { Scene } from '../../classes/display/scene.js';
import { mochaRun } from '../../util/helpers.js';

const rootElement = document.getElementById('scene');
const rootBox = new Box('rootBox', rootElement).flex();
const scene = window.scene = new Scene('Document test', rootBox);

scene.withDocument();

describe('Document', () => {
  describe('remark', () => {
    it('can exist', () => {
      const docFunction = (doc) => doc.remark('Hello');
      scene.withDocument('Document', docFunction);
    });
    it.skip('can include handlebars expressions', () => { });
    it.skip('updates rendered output when input changes', () => { });
  });
});

mochaRun();
